{% set topIndustryClassification = lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification() %}
{% if (topIndustryClassification.getParent() != null) %}
    {% set topIndustryClassification = topIndustryClassification.getParent() %}
    {% if (topIndustryClassification.getParent() != null) %}
        {% set topIndustryClassification = topIndustryClassification.getParent() %}
    {% endif %}
{% endif %}

<div class="mdc-card h-100">
    <div class="d-flex flex-column p-2 h-100">
        <div class="row">
            <div class="col-xs-8 col-sm-9">
                <strong>
                    {{ lookingForPropertyRequestReport.getTitle() }}
                </strong>
            </div>
            <div class="col-xs-4 col-sm-3 text-end">
                {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': topIndustryClassification, 'tooltip': false} only %}
            </div>
        </div>
        <p>{{ lookingForPropertyRequestReport.getPropertyRequirement().getIndustryClassification().getName() }}</p>
        <small class="mb-1">Meldungs-Nr.: M{{ lookingForPropertyRequestReport.getId() }}</small>
        <small class="mb-1">gemeldet am: {{ lookingForPropertyRequestReport.getReportedAt().format('d.m.Y, H:i') }} Uhr</small>
        {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
            {% if lookingForPropertyRequestReport.getReporterLastName() != null %}
                <small class="mb-1">gemeldet von: {{ lookingForPropertyRequestReport.getReporterFirstName() }} {{ lookingForPropertyRequestReport.getReporterLastName() }}</small>
            {% endif %}
        {% endif %}
    </div>
    <div class="mdc-card__actions justify-content-end">
        {% include 'component/view_or_edit_button_component.html.twig' with {
            'path': path('company_location_management_looking_for_property_request_report_report', {'id': lookingForPropertyRequestReport.getId()}),
            'item': lookingForPropertyRequestReport
        } only %}
    </div>
</div>
